<template>
  <section class="AppQyWxConfig">
    <component :is="currentPage" v-bind="$props"/>
  </section>
</template>

<script>
import List from "./list";
import ThemeSetting from "./themeSetting";

export default {
  name: "AppQyWxConfig",
  components: {ThemeSetting, List},
  label: "企业微信配置",
  props: {
    instance: Function,
    dict: Object,
    permissions: Function
  },
  computed: {
    currentPage() {
      const {hash} = this.$route
      return hash == "#theme" ? ThemeSetting : List
    }
  },
  created() {
    this.dict.load("yesOrNo", "themeWeb", 'themeMp', "themeWxwork")
  }
}
</script>

<style lang="scss" scoped>
.AppQyWxConfig {
  height: 100%;
}
</style>
